<?php
 # Cool Table WikiMedia extension
 #
 # <cooltable><table><tr><td>content</td></tr></table></cooltable>
 #
 # To activate the extension, include it from your LocalSettings.php
 # with: include("extensions/coolTable/coolTable.php");
 #

/*
 * ----------------------------------------------------------------------------
 *
 * @Version 1.1
 * @Author Paul Y. Gu, <gu.paul@gmail.com>
 * @Copyright paulgu.com 2006 - http://www.paulgu.com/
 * @License: GPL (http://www.gnu.org/copyleft/gpl.html)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * http://www.gnu.org/copyleft/gpl.html
 *
 * ----------------------------------------------------------------------------
 */

$wgExtensionCredits['other'][] = array
  (
   'name' => "coolTable",
   'version' => "1.1, August 23, 2008",
   'author' => 'Paul Gu',
   'url' => 'http://paulgu.com',
   'description' => 'Cool Table'
   );

 $wgExtensionFunctions[] = "wcooltableExtension";

 function wcooltableExtension() {
	global $wgParser;
    $wgParser->setHook( "cooltable", "rendercooltable" );
 }

 # The callback function for HTML output
 function rendercooltable( $input, $argv, &$parser ) {

    $localParser = new Parser();

    $coolscript=
        "<script language=\"JavaScript1.3\" type=\"text/javascript\">".
            "function switchbg(objRef, state) {".
				"if ( state == 1) { ".
					"objRef.style.backgroundColor='#EEE';".
				"} else {".
				    "objRef.style.backgroundColor='transparent';".
				"}".
                "return;".
            "}".
        "</script> ";

    $output = $localParser->parse($input, $parser->mTitle, $parser->mOptions);
    $coolcontent = str_replace("<td", "<td onmouseout=\"switchbg(this, 0);\" onmouseover=\"switchbg(this, 1);\" ", $output->getText());
    return  $coolcontent . $coolscript;

 }

?>